Internet Explorer

When I clock in, using my phone, on Paychex, I get this message: “We notice you are using an older version of Internet Explorer…”

Should I be concerned? How do I resolve this?

Which Phone are you using?
is this though an app (which one) or a browser (which browser) ?

2 Likes

A check of the Paychex site indicates the following Requirements and IE (Internet Explorer) is not supported … Microsoft has replaced this with Microsoft Edge available in the Google Play Store

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Message an
Expert customer